Bug 108821 - CRASH: Bad alloc on the beginning of the file opening with a large file
Summary: CRASH: Bad alloc on the beginning of the file opening with a large file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-06-27 17:45 UTC by Telesto
Modified: 2017-07-07 17:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-27 17:45:10 UTC
Description:
CRASH: Bad alloc on the beginning of the file opening

Steps to Reproduce:
1. Crash when opening https://drive.google.com/file/d/0B7DezVIXHrQOcFNrMk9XYTVSVDg/view?usp=sharing


Actual Results:  
Crash

Expected Results:
No crash


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.4.0.0.beta2
Build ID: 3cc1cdd8ee50f144e5514da51800a08119754d8f
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: en-US (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xisco Faulí 2017-06-28 09:47:50 UTC
Regression introduced by:

author	Mohammed Abdul Azeem <azeemmysore@gmail.com>	2017-06-11 11:50:15 (GMT)
committer	Michael Meeks <michael.meeks@collabora.com>	2017-06-12 11:07:17 (GMT)
commit	7260bb7160fe58ac63b6b5dd9a322805b1eacab4 (patch)
tree	2d84736890bc7dd84d21419435f4a613de2243c0
parent	febbad7263ea25b76f4e53d2f136693a52207a1c (diff)
Setting Buffered(threaded)Stream as default:
Also cleaning up bUseBufferedStream parameter.

Bisected with bibisect-linux64-6.0

Adding Cc: to Mohammed Abdul Azeem
Comment 2 Commit Notification 2017-07-06 09:13:08 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a8f8c09edb06e4ff812d676bc7726a8b4f6ebe8

tdf#108821 - fixed bad alloc on opening large file

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2017-07-06 09:13:58 UTC
Really great catch Telesto - thanks for testing master =)

I wonder how large your sheet really is; IIRC I did some work to implement up to 4Gb ZIP files, but I forget if I did the full 64bit zip files there.

Either way - just pushed a fix based on Mohammed's nice research.

Thanks guys.
Comment 4 Commit Notification 2017-07-07 17:59:29 UTC
Mohammed Abdul Azeem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a62507eb405961c27ebf79d6b9bdd7a106d06123

tdf#108821 - fix for overflow of variables on opening huge files

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.